// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

/**
 * @file legend.hpp
 * @brief Legend class declarations file.
 * @author J. Burgalat
 * @date 2016
 */

#ifndef LEGEND_HPP
#define LEGEND_HPP

#include "qcustomplot.h"

/**
 * @brief Movable Legend class
 */
class Legend : public QCPLegend {
    Q_OBJECT
  public:
    Legend(QCPAxisRect *clipToAxisRect);

  protected:
    virtual void mousePressEvent(QMouseEvent *event, const QVariant &details) override;
    virtual void mouseMoveEvent(QMouseEvent *event, const QPointF &startPos) override;
    virtual void mouseReleaseEvent(QMouseEvent *event, const QPointF &startPos) override;

  private:
    QPointF mOrigin;        ///< Origin point for drag process.
    QCPAxisRect *mAxisRect; ///< Related axis rect.
    int mLayoutIndex;       ///< Index of the legend in the axis rect layout.
};

#endif // LEGEND_HPP
