// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef QCP_HELPERS_HPP
#define QCP_HELPERS_HPP

#include "qcustomplot.h"

namespace Plotting {
QPointF axisRectRatioToPlotCoord(QCPAxisRect *axisRect, QPointF pos);
QPointF plotCoordToAxisRectRatio(QCPAxisRect *axisRect, QPointF pos);
QPointF pixelToAxisRectRatio(QCPAxisRect *axisRect, QPointF pos);
QPointF pixelToPlotCoord(QCPAxisRect *axisRect, QPointF pos);

void initHelpers();
void reloadNames();

QCPScatterStyle::ScatterShape getScatterShape(int index);
QString getScatterName(int index);
QIcon getScatterIcon(int index);

void fillMarkerStyleComboBox(QComboBox *cbx, bool noNone = false);
}

#endif // COORD_HELPERS_HPP
