// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ASPECTRATIOPIXMAPLABEL_HPP
#define ASPECTRATIOPIXMAPLABEL_HPP

/* Stolen and (slightly) adapated from:
 * https://stackoverflow.com/questions/8211982/qt-resizing-a-qlabel-containing-a-qpixmap-while-keeping-its-aspect-ratio
 */

#include <QLabel>
#include <QPixmap>
#include <QResizeEvent>

#include <QLabel>
#include <QPixmap>

class AspectRatioPixmapLabel : public QLabel {
    Q_OBJECT
  public:
    explicit AspectRatioPixmapLabel(QWidget *parent = 0);
    virtual int heightForWidth(int width) const;
    virtual bool hasHeightForWidth();
    virtual QSize sizeHint() const;
    virtual QSize minimumSizeHint() const;
    void setPixmap(const QPixmap &);
    void resetPixmap();
  private:
    QSize mPixOrigSize;
    QPixmap noPixmap;
};

#endif // ASPECTRATIOPIXMAPLABEL_HPP
