// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef BOOLEANDELEGATE_HPP
#define BOOLEANDELEGATE_HPP

#include "globals.hpp"

class BooleanDelegate : public QStyledItemDelegate {
    Q_OBJECT
  public:
    explicit BooleanDelegate(QObject *parent, bool defaultvalue = false);

    virtual void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override;

  protected:
    virtual bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option,
                             const QModelIndex &index) override;

  private:
    bool mDefaultvalue;
};

#endif // BOOLEANDELEGATE_HPP
