// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef COMBOBOXUNITSDELEGATE_HPP
#define COMBOBOXUNITSDELEGATE_HPP

#include "globals.hpp"

/**
 * @brief Combobox delegate for Units edition in views.
 * @details
 * This class implements a combobox delegate dedicated to edition of parameters units for the models
 * DataItemModel or IndicatorModel.
 */
class ComboboxUnitsDelegate : public QStyledItemDelegate {
    Q_OBJECT

  public:
    ComboboxUnitsDelegate(QObject *parent = nullptr);
    ~ComboboxUnitsDelegate() {}
    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const override;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const override;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const override;
    virtual QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const override;
};

#endif // COMBOBOXUNITSDELEGATE_HPP
