// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef VALUELINEEDITDELEGATE_HPP
#define VALUELINEEDITDELEGATE_HPP

#include <QStyledItemDelegate>

class ValueLineEditDelegate : public QStyledItemDelegate {
    Q_OBJECT
  public:
    explicit ValueLineEditDelegate(bool allowEmpty, bool allowNaN, QObject *parent = nullptr);
    virtual ~ValueLineEditDelegate() {}
    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                                  const QModelIndex &index) const override;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const override;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const override;
    virtual void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option,
                                      const QModelIndex &index) const override;

  public:
    QChar fmt;
    int prec;

  private:
    bool mAllowEmpty;
    bool mAllowNaN;
};

#endif // VALUELINEEDITDELEGATE_HPP
