// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INDICATORSWIDGET_HPP
#define INDICATORSWIDGET_HPP

#include "globals.hpp"
#include "indicators.hpp"

class ItemMapper;
class IndicatorWidget;

class IndicatorsWidget : public QScrollArea {
  public:
    IndicatorsWidget(QWidget *parent = nullptr);
    void translateUI();
    void setupIndicators(const QVector<BaseIndicatorPointer> &indicators);
    void refreshValues();

    void setMapper(ItemMapper *mapper);
    void reset();
  public slots:
    void updateFromMapper();

  private:
    QVector<IndicatorWidget *> mWidgets;
    QWidget *mContainer;
    QPointer<ItemMapper> mMapper;
    QVBoxLayout *mLayout;
    QSpacerItem *mStretchItem;
};

#endif // INDICATORSWIDGET_HPP
