// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INVERSIONSTATUSWIDGET_HPP
#define INVERSIONSTATUSWIDGET_HPP

#include "colorindicator.hpp"
#include "globals.hpp"
#include "indicatorwidget.hpp"
#include "movingavg.hpp"
#include "networkconfig.hpp"

class InversionStatusWidget : public QWidget {
    Q_OBJECT
  public:
    explicit InversionStatusWidget(QWidget *parent = nullptr);

    void translateUI();
    void reset();
    void setInversionUpdate(bool enable);
    void setConfiguration(const FitConfig &config);
    void refreshText();

  public slots:
    void updateInversion(double lastBPS, const QVector<FitReport> &reports);

  private:
    QLabel *mLblIPFDescr;
    QLabel *mLblIPFValue;

    QElapsedTimer mRateTimer;
    MovingAverage mInvRate{200};
    QVector<QPair<int, int>> mFitIdentifiers;
    QVector<BaseIndicator *> mFitIndicators;
    QVector<IndicatorWidget *> mIndicatorWidgets;
    QVBoxLayout *mIndicatorsLayout;
    QSpacerItem *mStretchItem;

  private:
    void setupIndicators(const QVector<BaseIndicatorPointer> &indicators);
};

#endif // INVERSIONSTATUSWIDGET_HPP
