// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef LAYOUTMANAGERDIALOG_H
#define LAYOUTMANAGERDIALOG_H

#include <QDialog>
#include <QItemSelection>
#include <QPointer>

class LayoutManager;
class QPushButton;
class QListView;
class QDialogButtonBox;
class AspectRatioPixmapLabel;

class LayoutManagerDialog : public QDialog {
    Q_OBJECT
  public:
    explicit LayoutManagerDialog(LayoutManager *manager, const QString &selectedName = QString(),
                                 QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    virtual QSize sizeHint() const;

  public slots:
    void importLayouts();
    void exportLayouts();

  protected:
    virtual void closeEvent(QCloseEvent *event) override;

    virtual bool eventFilter(QObject *object, QEvent *event) override;

  private slots:
    void onSelectionChanged(const QItemSelection &, const QItemSelection &);

  private:
    QListView *mListView;
    QPushButton *mBtnImport;
    QPushButton *mBtnExport;
    QPushButton *mBtnClose;
    QPointer<LayoutManager> mManager;
    AspectRatioPixmapLabel *mPixmapLabel;
    QDialogButtonBox *mButtonBox;
};

#endif // LAYOUTMANAGERDIALOG_H
