// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef MYMESSAGEBOX_H
#define MYMESSAGEBOX_H

#include <QMessageBox>

class MyMessageBox : public QMessageBox {
  public:
    MyMessageBox(QMessageBox::Icon icon, const QString &title, const QString &text,
                 QMessageBox::StandardButtons buttons = NoButton, QWidget *parent = nullptr,
                 Qt::WindowFlags f = Qt::Dialog | Qt::MSWindowsFixedSizeDialogHint)
        : QMessageBox(icon, title, text, buttons, parent, f) {}

  protected:
    virtual void focusOutEvent(QFocusEvent *event) {
        QMessageBox::focusOutEvent(event);
        this->close();
    }
};

#endif // MYMESSAGEBOX_H
