// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef PRM_UTILS_HPP
#define PRM_UTILS_HPP

#include "globals.hpp"

double reduceData(const AParam &prm, const DoubleVector &values, bool ignoreNaN = true);
double reduceData(Reduction operation, const QDoubleVector::Iterator &begin, const QDoubleVector::Iterator &end,
    bool ignoreNaN = true);

// bool resample(QMap<AParam, DoubleVector> &data, const AParam &timeParam, double frequency, bool stripNaN = true);
bool decimate(QMap<AParam, DoubleVector> &data, int step);

AParam downSample(const AParam &prm, DoubleVector values, Reduction operation = Reduction::MEAN);

// int diffRspPoints(double timeStep, const QDoubleVector &input, double bref, double eref, int maxPoints);
double getMinRspStep(int maxPoints, const DoubleVector &input, double *avgTimestep);

#include <list>
std::list<QPair<int, int>> timePairIndexes(
    const QDoubleVector &input, double timeStep, QDoubleVector &output, bool noEmpty = true);
#endif // PRM_UTILS_HPP
