// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef SCENARIOWIDGET_HPP
#define SCENARIOWIDGET_HPP

#include <QtWidgets>
class Scenario;
class ItemModel;
class ItemROModel;
class ScenarioSelector;

class ScenarioWidget : public QWidget {
    Q_OBJECT
  public:
    explicit ScenarioWidget(QWidget *parent = nullptr);
    ~ScenarioWidget();
    ScenarioSelector *selector() const;
    QTableView *tableView() const;
    void translateUI();
    void setupSelector(const QVector<Scenario *> &scenario, int selectedIndex = -1);
    void setItemModel(ItemModel *model);

  private:
    ScenarioSelector *mScenarioSelector;
    QTableView *mTableView;
    ItemROModel *mEmptyProxyModel;
    void setupHeaders();
};

#endif // SCENARIOWIDGET_HPP
