// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef SCREENSHOTMANAGER_HPP
#define SCREENSHOTMANAGER_HPP

#include <QWidget>
#include <qwindowdefs.h>

class ScreenshotManager {
  public:
    ScreenshotManager(QWidget *widget, QString folder = "", QString fileName = "");

    bool saveScreen(WId winId = 0);

    QString folder() const;

    bool setFolder(QString folder);
    void setFileName(QString fileName);

    void enableDatetimeSuffix(bool enable);
    bool datetimeSuffixEnabled() const;

  private:
    QWidget *mWidget;
    QString mFolder;
    QString mFileName;
    bool mAutoDatetime;

    QString buildFileName(QString prefix, QString format);
    QString generateFilePath();
};

#endif // SCREENSHOTMANAGER_HPP
