// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef MONITORINGPAGE_HPP
#define MONITORINGPAGE_HPP

#include "basepage.hpp"
#include "globals.hpp"

class MonitoringPage : public BasePage {
    Q_OBJECT
  public:
    explicit MonitoringPage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;

  private:
    void buildUI();

    QLabel *mLblNewFlightDelay;
    QSpinBox *mSpbNewFlightDelay;
    QCheckBox *mChbNewFlightOnStrap;
    QCheckBox *mChbProcInternals;
    QCheckBox *mChbProcNoGPS;
    QCheckBox *mChbMonitorWifi;
    QLabel *mLblInputFrequency;
    QSpinBox *mSpbInputFrequency;
    QLabel *mLblInvFrequency;
    QSpinBox *mSpbInvFrequency;
    QCheckBox *mChbFastCalculation;
    QCheckBox *mChbDisplayFit;
};

#endif // MONITORINGPAGE_HPP
