// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef UDPSTATUSWIDGET_HPP
#define UDPSTATUSWIDGET_HPP

#include "globals.hpp"
#include "movingavg.hpp"

class ColorIndicator;

class UDPStatusWidget : public QWidget {
    Q_OBJECT
  public:
    explicit UDPStatusWidget(QWidget *parent = nullptr);
    virtual ~UDPStatusWidget();
    void translateUI();
  public slots:
    void reset();
    void updateStatus(bool valid, int size, qint64 elapsed);
    void refreshText(double blockRate = 0, double byteRate = 0);

  private:
    // udp
    ColorIndicator *mIndicator;
    QLabel *mLblDescr;
    QLabel *mLblValue;
    QHBoxLayout *mLayout;
    QTimer mResetTimer;
};

#endif // UDPSTATUSWIDGET_HPP
