// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef WLANWIDGET_HPP
#define WLANWIDGET_HPP

#include "globals.hpp"
#include "wlanwatcher.hpp"

class WLANWidget : public QWidget {
    Q_OBJECT
  public:
    explicit WLANWidget(QWidget *parent = nullptr);
    virtual ~WLANWidget();

    void setSSID(const QString &ssid);
    void monitor(bool enabled);

    void reset();

  private slots:
    void onSignalChanged(int signal);
    void onDisconnection();
    void onConnection(int signal);
    void onInterfaceChange(WlanInterface);

  private:
    WlanWatcher *mWlanWatcher;
    QLabel *mLblIcon;
    QLabel *mLblSSID;
    QLabel *mLblStatus;

    QPixmap mNotconnectedPixmap;
    QVector<QPixmap> mSignalPixmaps;
    static const QSize iconSize;
    void setWifiPixmap(int value);
};

#endif // WLANWIDGET_HPP
