// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef XMLUTILS_HPP
#define XMLUTILS_HPP

#include "globals.hpp"

class Scenario;
class BaseIndicator;
class ItemMapper;

QVector<Scenario *> loadScenariosFromXML(const QString &xmlPath, const ItemMapper *mapper = nullptr, int *selected = nullptr,
                                         QStringList *errors = nullptr);

bool writeScenariosToXML(const QString &xmlPath, const QVector<Scenario *> scenarios, int *selected = nullptr,
                         QStringList *errors = nullptr);

QVector<BaseIndicator *> loadIndicatorsFromXML(const QString &xmlPath, const ItemMapper *mapper = nullptr,
                                               QStringList *errors = nullptr);

#endif // XMLUTILS_HPP
