// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef WLANINFOS_HPP
#define WLANINFOS_HPP

#include <QtCore>

bool operator<(const GUID &lhs, const GUID &rhs);

/// @brief Check whether or not the given GUID is valid.
static inline bool invalidGUID(GUID guid) { return guid.Data1 == 0 && guid.Data2 == 0 && guid.Data3 == 0; };

/**
 * @brief The WlanInfos class
 * @details
 * The class defines a wireless network.
 */
class WlanInfos {
  public:
    QString SSID;
    QString profileName;
    int signalStrength;
    GUID guid;
    WlanInfos();
    bool operator==(const WlanInfos &other) const;
    bool operator!=(const WlanInfos &other) const;
    bool isNull() const;
};

Q_DECLARE_METATYPE(WlanInfos)

#endif // WLANINFOS_HPP
