// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef DATASETINFOWIDGET_HPP
#define DATASETINFOWIDGET_HPP

#include "clickablelabel.hpp"
#include "globals.hpp"
#include <QtWidgets>

class AMDataset;

class DatasetInfoWidget : public QGroupBox {
    Q_OBJECT
  public:
    DatasetInfoWidget(QWidget *parent = nullptr);
    void translateUI();
    void setDataSet(AMDataset *dataset);

  private slots:
    void showFilePaths();

  private:
    ClickableLabel *mLblFilesD;
    QLabel *mLblFiles;
    QLabel *mLblInstrumentD;
    QLabel *mLblInstrument;
    QLabel *mLblVersionD;
    QLabel *mLblVersion;
    QLabel *mLblParametersD;
    QLabel *mLblParameters;

    QStringList filePaths;
};

#endif // DATASETINFOWIDGET_HPP
