// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

/**
 * @file globals.hpp
 * @brief Global variables and methods declarations file.
 * @author J. Burgalat
 * @date 2016-2018
 */

#ifndef AFC_GLOBALS_HPP
#define AFC_GLOBALS_HPP

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif

#include "cutelogger2.hpp"
#include "i18n.hpp"
#include <QtCore>
#include <QtWidgets>

Q_DECLARE_METATYPE(Qt::CheckState)

typedef QPair<QString, QString> PairOfStrings;
typedef QPair<QStringList, QVector<QVector<double> *>> PairOfData;

extern I18N *gI18N;
extern SignalAppender *gSignalAppender;
extern FileAppender *gFileAppender;
extern QString gDescrDir;
extern QString gLogFile;
extern QString gResDir;

void iniGlobals();
void finalizeGlobals();
void setFactoryDefaults(const QString &language = QString());
void descriptorToXML(const QString &path);

#endif // AFC_GLOBALS_HPP
