## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024

# global config
include(../config.pri)

#ISP dep
include(../interfaces/interfaces.pri)

TARGET = AFI-CLI
TEMPLATE = app
VERSION = 1.1.0

DEFINES += APP_VER=\\\"$$VERSION\\\"
DEFINES += APP_NAME=\\\"$$TARGET\\\"

unix{
    DEFINES += WITH_OMP
}

CONFIG += console
QT -= widgets gui

INCLUDEPATH += sources

SOURCES += sources/main.cpp \
    sources/filefittask.cpp \
    sources/fit.cpp

HEADERS += sources/fit.hpp \
    sources/filefittask.hpp \
    sources/simplefilelogger.hpp

DISTFILES += changelog.txt

contains(DEFINES,WITH_OMP){
    TARGET = AFI-CLI-OMP
    # Windows
    win32 {
        msvc:{QMAKE_CXXFLAGS += -openmp}
        gcc:{
            QMAKE_CXXFLAGS += -fopenmp
            QMAKE_LFLAGS += -fopenmp
        }
    }
    # Linux
    linux {
        QMAKE_CXXFLAGS += -fopenmp
        QMAKE_LFLAGS += -fopenmp
    }
}

# Icon stuff: only for windows
win32{
  RC_FILE = resources/afi.rc
  ICON = resources/app.ico
}
