// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef SIGNALAPPENDER_HPP
#define SIGNALAPPENDER_HPP

#include <QObject>
// Local
#include "cutelogger2_global.h"
#include "abstractstringappender.h"

// Qt
#include <QReadWriteLock>

class CUTELOGGER2SHARED_EXPORT SignalAppender : public QObject, public AbstractStringAppender {
    Q_OBJECT
  public:
    explicit SignalAppender(QObject *parent = nullptr);

signals:
    /**
     * @brief Emitted whenever a message is received from the logger.
     * @param message Formatted log message.
     * @param logLevel Log level.
     */
    void logMessage(const QString &message, int logLevel);

  protected:
    virtual void append(const QDateTime &timeStamp, Logger::LogLevel logLevel, const char *file, int line, const char *function,
                        const QString &category, const QString &message) Q_DECL_OVERRIDE;
};

#endif // SIGNALAPPENDER_HPP
