// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef PROGRESSBAR_HPP
#define PROGRESSBAR_HPP

#include <QtWidgets>

class IconButton : public QPushButton {
    Q_OBJECT
  public:
    IconButton(const QIcon &icon, QWidget *parent = nullptr);
    bool mouseOver() const;
    void setMouseOver(bool isOver);

  protected:
    virtual void paintEvent(QPaintEvent *event) override;

    virtual void enterEvent(QEvent *event) override;
    virtual void leaveEvent(QEvent *event) override;

  private:
    bool mIsMouseOver = false;
};

class ProgressBar : public QWidget {
    Q_OBJECT
  public:
    ProgressBar(QWidget *parent = nullptr);
    IconButton *button();
    QProgressBar *progressBar();

  private:
    QProgressBar *mProgressBar;
    IconButton *mBtnCancel;
};

class StatusProgressBar : public QStatusBar {
    Q_OBJECT

  public:
    StatusProgressBar(QWidget *parent = nullptr);
    ProgressBar *progressBar();

  private:
    ProgressBar *mProgressBar;
};

#endif // PROGRESSBAR_HPP
