## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024


# Set ISP_TOPDIR to the top-directory of ISP library installation.
ISP_TOPDIR =


isEmpty($$ISP_TOPDIR){
error("ISP_TOPDIR variable must point the top directory of ISP library installation directory tree.")
}

ISP_LIBDIR = $${ISP_TOPDIR}/lib
ISP_INCDIR = $${ISP_TOPDIR}/include
ISP_BINDIR = $${ISP_TOPDIR}/bin

DEFINES += ISP_USE_LIBRARY

CONFIG(release, debug|release){
  LIBS += -L$${ISP_LIBDIR} -lisp
}
CONFIG(debug, debug|release){
  LIBS += -L$${ISP_LIBDIR} -lispd
}

INCLUDEPATH += $${ISP_INCDIR}




INCLUDEPATH += $$PWD

SOURCES += \
    $$PWD/amdataset.cpp \
    $$PWD/fileloader.cpp \
    $$PWD/multifileloader.cpp

HEADERS += \
    $$PWD/amdataset.hpp \
    $$PWD/fileloader.hpp \
    $$PWD/multifileloader.hpp

